org.apache.http.conn

## Class BasicEofSensorWatcher

- java.lang.Object
- - org.apache.http.conn.BasicEofSensorWatcher

- All Implemented Interfaces:
    EofSensorWatcher

  已过时。
  （4.3）不要使用。

      @Deprecated
      public class BasicEofSensorWatcher
      extends Object
      implements EofSensorWatcher

  基本实施`EofSensorWatcher` 。 基础连接在关闭或EOF时释放。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `attemptReuse` 已过时。 是否保持连接活着。
    `protected ManagedClientConnection` | `managedConn` 已过时。 连接到自动释放。

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `BasicEofSensorWatcher(ManagedClientConnection conn, boolean reuse)` 已过时。 创建一个新的观察者来自动释放连接。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `eofDetected(InputStream wrapped)` 已过时。 表示检测到EOF。
    `boolean` | `streamAbort(InputStream wrapped)` 已过时。 表示`stream`中止了。
    `boolean` | `streamClosed(InputStream wrapped)` 已过时。 表示`stream`已关闭。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### managedConn

          protected final ManagedClientConnection managedConn

      已过时。
      连接到自动释放。

    - #### attemptReuse

          protected final boolean attemptReuse

      已过时。
      是否保持连接活着。

  - ### 构造方法详细信息

    - #### BasicEofSensorWatcher

          public BasicEofSensorWatcher(ManagedClientConnection conn,
                               boolean reuse)

      已过时。
      创建一个新的观察者来自动释放连接。
      参数
        `conn` - 连接到自动释放
        `reuse` - 连接是否应重新使用

  - ### 方法详细信息

    - #### eofDetected

          public boolean eofDetected(InputStream wrapped)
                              throws IOException

      已过时。
      说明从界面： `EofSensorWatcher`复制
      表示检测到EOF。
      Specified by:
        `eofDetected`在接口 `EofSensorWatcher`
      参数
        `wrapped` - 达到EOF的底层流
      结果
        `true`如果 `wrapped`应该关闭， `false`如果应该单独
      异常
        `IOException` - 在IO问题的情况下，例如，如果观察者本身关闭底层流。 来电者将独自离开包裹的流，就好像`false`被退回。

    - #### streamClosed

          public boolean streamClosed(InputStream wrapped)
                               throws IOException

      已过时。
      描述从接口`EofSensorWatcher`复制
      表示`stream`已关闭。 只有在关闭之前未检测到EOF，才会调用此方法。 否则， `eofDetected`被调用。
      Specified by:
        `streamClosed`在接口 `EofSensorWatcher`
      参数
        `wrapped` - 尚未达到EOF的基础流
      结果
        `true`如果 `wrapped`应该关闭， `false`如果应该单独
      异常
        `IOException` - 在IO问题的情况下，例如，如果观察者本身关闭底层流。 呼叫者将离开包裹的流，就像`false`被返回。

    - #### streamAbort

          public boolean streamAbort(InputStream wrapped)
                              throws IOException

      已过时。
      说明从界面： `EofSensorWatcher`复制
      表示`stream`中止了。 只有在中止前未检测到EOF，才会调用此方法。 否则， `eofDetected`被调用。

      当输入操作导致抛出IOException以确保输入流被关闭时，也会调用此方法。

      Specified by:
        `streamAbort`在接口 `EofSensorWatcher`
      参数
        `wrapped` - 尚未达到EOF的基础流
      结果
        `true`如果 `wrapped`应该关闭， `false`如果应该单独
      异常
        `IOException` - 如果出现IO问题，例如，如果观察者本身关闭底层流。 来电者将离开包裹的流，就好像`false`回来。

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585